/*
 *	linux/fs/rbf/rbf_page.h
 *	RBF File System - definitions for page-based dir operations
 *	
 *	Copyright (C) 2001 Andrew Cannon <ajc@gmx.net>
 * 	
 *  This file is subject to the terms and conditions of the
 *  GNU General Public License. See the file COPYING in the
 *  main directory of this archive for more details.
 */


#define rbf_find_entry		rbfp_find_entry
#define rbf_dotdot		rbfp_dotdot
#define rbf_release_entry	rbfp_release_entry
#define rbf_inode_by_name	rbfp_inode_by_name
#define rbf_set_link		rbfp_set_link
#define rbf_add_link		rbfp_add_link
#define rbf_delete_entry	rbfp_delete_entry
#define rbf_make_empty		rbfp_make_empty
#define rbf_empty_dir		rbfp_empty_dir

struct rbf_dirent *rbf_find_entry(struct inode *dir, struct dentry *dentry, struct page **res_page);
struct rbf_dirent *rbf_dotdot(struct inode *dir, struct page **res_page);
void rbf_release_entry(struct page *page);
ino_t rbf_inode_by_name(struct inode *dir, struct dentry *dentry);
void rbf_set_link(struct inode *dir, struct rbf_dirent *de, struct page *page, struct inode *inode);
int rbf_add_link(struct dentry *dentry, struct inode *inode);
int rbf_delete_entry (struct inode *inode, struct rbf_dirent *de, struct page *page);
int rbf_make_empty(struct inode *inode, struct inode *parent);
int rbf_empty_dir(struct inode *dir);
